<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Wed Sep 10 14:57:28 CEST 2014 -->
<title>org.java_websocket Class Hierarchy</title>
<meta name="date" content="2014-09-10">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.java_websocket Class Hierarchy";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../fr/inria/alpage/frmgcm/utils/package-tree.html">Prev</a></li>
<li><a href="../../org/java_websocket/client/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?org/java_websocket/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.java_websocket</h1>
<span class="strong">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">org.java_websocket.<a href="../../org/java_websocket/AbstractWrappedByteChannel.html" title="class in org.java_websocket"><span class="strong">AbstractWrappedByteChannel</span></a> (implements org.java_websocket.<a href="../../org/java_websocket/WrappedByteChannel.html" title="interface in org.java_websocket">WrappedByteChannel</a>)</li>
<li type="circle">org.java_websocket.<a href="../../org/java_websocket/SocketChannelIOHelper.html" title="class in org.java_websocket"><span class="strong">SocketChannelIOHelper</span></a></li>
<li type="circle">org.java_websocket.<a href="../../org/java_websocket/SSLSocketChannel2.html" title="class in org.java_websocket"><span class="strong">SSLSocketChannel2</span></a> (implements java.nio.channels.ByteChannel, org.java_websocket.<a href="../../org/java_websocket/WrappedByteChannel.html" title="interface in org.java_websocket">WrappedByteChannel</a>)</li>
<li type="circle">org.java_websocket.<a href="../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket"><span class="strong">WebSocketAdapter</span></a> (implements org.java_websocket.<a href="../../org/java_websocket/WebSocketListener.html" title="interface in org.java_websocket">WebSocketListener</a>)</li>
<li type="circle">org.java_websocket.<a href="../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket"><span class="strong">WebSocketImpl</span></a> (implements org.java_websocket.<a href="../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>)</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">java.lang.AutoCloseable
<ul>
<li type="circle">java.io.Closeable
<ul>
<li type="circle">java.nio.channels.Channel
<ul>
<li type="circle">java.nio.channels.ReadableByteChannel
<ul>
<li type="circle">java.nio.channels.ByteChannel (also extends java.nio.channels.WritableByteChannel)
<ul>
<li type="circle">org.java_websocket.<a href="../../org/java_websocket/WrappedByteChannel.html" title="interface in org.java_websocket"><span class="strong">WrappedByteChannel</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">java.nio.channels.WritableByteChannel
<ul>
<li type="circle">java.nio.channels.ByteChannel (also extends java.nio.channels.ReadableByteChannel)
<ul>
<li type="circle">org.java_websocket.<a href="../../org/java_websocket/WrappedByteChannel.html" title="interface in org.java_websocket"><span class="strong">WrappedByteChannel</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.java_websocket.<a href="../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket"><span class="strong">WebSocket</span></a></li>
<li type="circle">org.java_websocket.<a href="../../org/java_websocket/WebSocketFactory.html" title="interface in org.java_websocket"><span class="strong">WebSocketFactory</span></a></li>
<li type="circle">org.java_websocket.<a href="../../org/java_websocket/WebSocketListener.html" title="interface in org.java_websocket"><span class="strong">WebSocketListener</span></a></li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.io.Serializable)
<ul>
<li type="circle">org.java_websocket.<a href="../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket"><span class="strong">WebSocket.Role</span></a></li>
<li type="circle">org.java_websocket.<a href="../../org/java_websocket/WebSocket.READYSTATE.html" title="enum in org.java_websocket"><span class="strong">WebSocket.READYSTATE</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../fr/inria/alpage/frmgcm/utils/package-tree.html">Prev</a></li>
<li><a href="../../org/java_websocket/client/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?org/java_websocket/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
